Skip to Content
Get Engagement Heatmap for a Video
get
Beta

Returns the engagement heatmap for a video. The heatmap is an array of per-bucket engagement values across the content timeline, where the number of buckets scales with the content duration. Each value represents how engaged viewers were with that portion of the content.

Request path & query params
VIDEO_ID
string

ID of the Video, as provided in the video_id metadata field when configuring the player.

timeframe[]
array

Timeframe window to limit results by. Must be provided as an array query string parameter (e.g. timeframe[]=).

Accepted formats are...

  • array of epoch timestamps e.g. timeframe[]=1498867200&timeframe[]=1498953600
  • duration string e.g. timeframe[]=24:hours or timeframe[]=7:days
get
200
https://api.mux.com/data/v1/engagement/videos/{VIDEO_ID}/heatmap
Response
(application/json)
{
  "total_row_count": 1,
  "timeframe": [
    1610025789,
    1610112189
  ],
  "data": {
    "total_views": 1024,
    "value": [
      0.42,
      0.55,
      0.61,
      0.58,
      0.47
    ]
  }
}